import com.filemaker.server.ULCDateSpinner;
import com.ulcjava.base.application.*;
import com.ulcjava.base.application.datatype.ULCDateDataType;
import com.ulcjava.base.application.datatype.ULCNumberDataType;
import com.ulcjava.base.application.event.ActionEvent;
import com.ulcjava.base.application.event.IActionListener;
import com.ulcjava.base.application.event.IValueChangedListener;
import com.ulcjava.base.application.event.ValueChangedEvent;
import com.ulcjava.base.application.util.Color;
import com.ulcjava.base.application.util.Dimension;
import com.ulcjava.base.application.util.Font;
import com.ulcjava.base.application.util.ULCIcon;
import com.ulcjava.base.server.IDispatcher;

import java.awt.Image;
import java.util.Calendar;
import java.util.Date;

import javax.swing.ImageIcon;
import javax.swing.JDialog;
import javax.swing.JLabel;


public class ULCDateSpinnerSample extends AbstractApplication {
    public void start() {
		try {
			ULCFrame frame = new ULCFrame("ULCSpinner Sample");
	        frame.setDefaultCloseOperation(ULCFrame.TERMINATE_ON_CLOSE);
	        ULCBoxPane boxPane = new ULCBoxPane();
	        
	        final ULCDateSpinner spinner = new ULCDateSpinner(new Date());
	        spinner.addValueChangedListener(new IValueChangedListener() {
	        	public void valueChanged(ValueChangedEvent arg0) {
	        		System.out.println("Value changed: " + ((ULCDateSpinner) arg0.getSource()).getValue());
	        	}
	        });

	        boxPane.add(spinner);
	        
	        final ULCToggleButton button = new ULCToggleButton("Disable");
	        button.addActionListener(new IActionListener() {
	        	public void actionPerformed(ActionEvent arg0) {
	        		spinner.setEnabled(!button.isSelected());
	        	}
	        });
	        boxPane.add(button);
//	        button.setEnabler(spinner);
	        button.requestFocus();
	        frame.add(boxPane);
			frame.pack();
			frame.setLocationRelativeTo(null);
	        frame.setVisible(true);
	    } catch (Exception e) {
	    	e.printStackTrace() ;
		}
    }
}
