/*
 * Copyright  2000-2004 Canoo Engineering AG, Switzerland.
 */
package com.canoo.ulc.community.linksupport.application;

import com.ulcjava.base.application.ULCListSelectionModel;
import com.ulcjava.base.application.ULCTable;
import com.ulcjava.base.application.table.ITableModel;
import com.ulcjava.base.application.table.ULCTableColumnModel;

import java.util.List;

public class ULCLinkTable extends ULCTable {
    public ULCLinkTable() {
    }

    public ULCLinkTable(List rowData, List columnNames) {
        super(rowData, columnNames);
    }

    public ULCLinkTable(Object[][] rowData, String[] columnNames) {
        super(rowData, columnNames);
    }

    public ULCLinkTable(ITableModel model) {
        super(model);
    }

    public ULCLinkTable(ITableModel model, ULCTableColumnModel columnModel, ULCListSelectionModel selectionModel) {
        super(model, columnModel, selectionModel);
    }

    protected String typeString() {
        return "com.canoo.ulc.community.linksupport.client.UILinkTable";
    }
}
