/**
 * @author Sandro <sandro.pedrazzini@canoo.com>
 */

package com.canoo.ulc.community.datechooser.client;

/**
 * TODO:
 * set/get Highlight color
 * get methods
 * - set<->get tests
 */


import java.awt.event.ComponentEvent;
import java.util.Date;
import java.util.Locale;

import com.canoo.ulc.community.datechooser.client.widget.DateChooser;
import com.canoo.ulc.community.datechooser.client.widget.DateSelectedListener;
import com.ulcjava.base.client.UIComponent;

public class UIDateChooser extends UIComponent implements DateSelectedListener {


    protected Object createBasicObject(Object[] arguments){
       Locale locale = (Locale)arguments[0];
       String cancelButtonText = (String)arguments[1];
       Date initialDate = (Date)arguments[2];
       return new DateChooser(locale,cancelButtonText,initialDate);
    }

    public DateChooser getBasicDateChooser(){
        return (DateChooser)getBasicObject();
    }

    protected void postInitializeState() {
        super.postInitializeState();
        getBasicDateChooser().addDateSelectedListener(this);
    }


    //DateSelectedListener implementation
    public void dateChosen(ComponentEvent event) {
        Date selectedDate = ((DateChooser) event.getSource()).getSelectedDate();
        fireDateChosenULC(selectedDate);
    }

    private void fireDateChosenULC(Date selectedDate) {
        fireEventULC("dateSelected","dateChosen",new Object[]{selectedDate});
    }

}
