package com.canoo.ulc.community.datechooser.client.environment.jnlp;

import com.canoo.ulc.community.datechooser.client.environment.UIManagerHelper;
import com.ulcjava.environment.jnlp.client.DefaultJnlpLauncher;

import java.net.MalformedURLException;

/**
 * This class launches the application using the DefaultJnlpLauncher. The JGoodies Look&Feel is installed.
 *
 * @author Etienne.Studer@canoo.com
 */
public class SampleJNLPLauncher {
    public static void main(String[] args) throws MalformedURLException {
        UIManagerHelper.setJGoodiesLookAndFeelOnWindows();
        DefaultJnlpLauncher.main(args);
    }
}
