package com.canoo.ulc.community.datechooser.client.environment.standalone;

import com.canoo.ulc.community.datechooser.client.environment.UIManagerHelper;
import com.ulcjava.environment.standalone.client.DefaultStandaloneLauncher;

import java.net.MalformedURLException;

/**
 * This class launches the application using the DefaultStandaloneLauncher. The JGoodies Look&Feel is installed.
 *
 * @author Etienne.Studer@canoo.com
 */
public class SampleStandaloneLauncher {
    public static void main(String[] args) throws MalformedURLException {
        UIManagerHelper.setJGoodiesLookAndFeelOnWindows();
        DefaultStandaloneLauncher.main(args);
    }
}
