/**
 * @author Sandro <sandro.pedrazzini@canoo.com>
 */

package com.canoo.ulc.community.datechooser.application;

import java.util.Date;

public class DateSelectedEvent extends DateEvent{ ///EventObject {

    Date fSelectedDate;

    public DateSelectedEvent(Object source, Date selectedDate) {
        super(source, selectedDate);
        fSelectedDate = selectedDate;
    }

    public Date getDate() {
         return fSelectedDate;
    }

    public String getDateAsString() {
        return ((ULCDateChooser) getSource()).getSelectedDateAsString(fSelectedDate);
    }

    public String getDateAsString(int dateFormat) {
        return ((ULCDateChooser) getSource()).getSelectedDateAsString(dateFormat,fSelectedDate);
    }
}
