/*
 * Copyright  2000-2004 Canoo Engineering AG, Switzerland.
 */
package com.canoo.ulc.community.linksupport.shared;

public class LinkUtilities {
    private static final String HTML_PREFIX = "<html><a href=\"\">";
    private static final String HTML_POSTFIX = "</a></html>";
    
    private LinkUtilities() {
    }

    public static String convertToHtml(String text) {
        return HTML_PREFIX + text + HTML_POSTFIX;
    }

    public static boolean isHtmlLink(String text) {
        return text.startsWith(HTML_PREFIX) && text.endsWith(HTML_POSTFIX);
    }
}
